Bug 1122645 - Weather Calendars in Evolution 3.8 Don't Work
Summary: Weather Calendars in Evolution 3.8 Don't Work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evolution
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1122644
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 16:57 UTC by holmja
Modified: 2015-03-05 06:37 UTC (History)
4 users (show)

Fixed In Version: evolution-3.8.5-27
Doc Type: Bug Fix
Doc Text:
Cause: (trying to) use weather calendars Consequence: no weather (forecast) events are shown Fix: correct weather calendar internals to properly work with the libgweather library Result: weather calendar events are shown Note: This change requires at least evolution-data-server-3.8.5-28 to be installed and running
Clone Of:
Environment:
Last Closed: 2015-03-05 06:37:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0305 normal SHIPPED_LIVE evolution bug fix update 2015-03-05 11:36:15 UTC

Description holmja 2014-07-23 16:57:20 UTC
I reported this bug when it was in Evolution 3.8 in Fedora 19.
https://bugzilla.redhat.com/show_bug.cgi?id=1029972

It was moved upstream and a fix was applied for Evolution 3.10+.
https://bugzilla.gnome.org/show_bug.cgi?id=712388

Since RHEL uses Evolution 3.8, it would be nice if the patches to Evolution and Evolution-Data-Server could be backported and applied to RHEL 7's Evolution 3.8. As it stands now, Weather calendars do not work and trying to edit the properties of a weather calendar crashes Evolution.

Comment 2 Milan Crha 2014-07-23 18:40:08 UTC
Upstream fix available, devel-acking.

Comment 3 Milan Crha 2014-07-23 18:42:57 UTC
Just a note, in case anyone would overlook the connection: this can be applied only together with a corresponding change in evolution-data-server, for which Joshua filled bug #1122644.

Comment 4 Milan Crha 2014-08-25 15:27:01 UTC
I'm not going to apply this change yet, due to missing acks on bug #1122644.

Comment 5 Milan Crha 2014-10-08 12:08:19 UTC
This is fixed with evolution-3.8.5-27. As the changes require newer evolution-data-server, then its dependency had been bumped to 3.8.5-28 too (it's where the changes for bug #1122644 landed).

Comment 9 errata-xmlrpc 2015-03-05 06:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0305.html


Note You need to log in before you can comment on or make changes to this bug.